Bug 642187 (CVE-2010-3551)

Summary: CVE-2010-3551 OpenJDK local network address disclosure (6952603)
Product: [Other] Security Response Reporter: Marc Schoenefeld <mschoene>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ahughes, aph, dbhole, jlieskov, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,source=oracle,public=20101012,reported=20100930,cvss2=5.0/AV:N/AC:L/Au:N/C:P/I:N/A:N
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-10 21:21:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 642251, 642252, 642253, 642254, 642515, 642516, 642517, 643336, 643337, 643338, 643355, 643356, 643357, 646406, 646407, 646408, 662638, 662639, 662640    
Bug Blocks: 712887    

Comment 4 Jan Lieskovsky 2010-10-13 15:43:03 UTC
The NetworkInterface class improperly checked the network "connect" permissions
for local network addresses, which could allow remote attackers to read local
network addresses. (CVE-2010-3551) 

The CVSSv2 scored upstream is
cvss2=5.0/AV:N/AC:L/Au:N/C:P/I:N/A:N

Reference: 
http://www.oracle.com/technetwork/topics/security/javacpuoct2010-176258.html

Comment 5 errata-xmlrpc 2010-10-13 16:24:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0768 https://rhn.redhat.com/errata/RHSA-2010-0768.html

Comment 6 errata-xmlrpc 2010-10-14 13:37:22 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0770 https://rhn.redhat.com/errata/RHSA-2010-0770.html

Comment 10 errata-xmlrpc 2010-10-20 17:15:49 UTC
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0786 https://rhn.redhat.com/errata/RHSA-2010-0786.html

Comment 12 errata-xmlrpc 2010-10-27 23:08:17 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0807 https://rhn.redhat.com/errata/RHSA-2010-0807.html

Comment 13 errata-xmlrpc 2010-11-10 18:51:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0865 https://rhn.redhat.com/errata/RHSA-2010-0865.html

Comment 14 errata-xmlrpc 2010-11-10 19:07:23 UTC
This issue has been addressed in following products:

  Extras for Red Hat Enterprise Linux 6

Via RHSA-2010:0873 https://rhn.redhat.com/errata/RHSA-2010-0873.html

Comment 16 errata-xmlrpc 2010-12-15 22:44:45 UTC
This issue has been addressed in following products:

  RHEL 4 for SAP
  RHEL 5 for SAP
  RHEL 6 for SAP

Via RHSA-2010:0986 https://rhn.redhat.com/errata/RHSA-2010-0986.html

Comment 17 errata-xmlrpc 2010-12-15 23:46:23 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5
  Extras for Red Hat Enterprise Linux 6

Via RHSA-2010:0987 https://rhn.redhat.com/errata/RHSA-2010-0987.html

Comment 18 errata-xmlrpc 2011-06-16 19:23:36 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2011:0880 https://rhn.redhat.com/errata/RHSA-2011-0880.html